Historical contract: Get Wallets List by user
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Get Wallets List by user
This API endpoint is used to get all wallets of a user
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "user_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32",
"default": 0
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": [\n {\n \"id\": 1,\n \"code\": \"<redacted-secret>\",\n \"user_id\": 0,\n \"balance\": 0,\n \"locked\": false,\n \"locked_reason\": null,\n \"locked_at\": null,\n \"created_at\": \"2022-01-27 20:41:46\",\n \"updated_at\": \"2022-01-27 20:41:46\"\n }\n ],\n \"pagination\": {\n \"total\": 1,\n \"from\": 1,\n \"to\": 1,\n \"current_page\": 1,\n \"page_size\": 1,\n \"total_pages\": 1,\n \"fisrt_page\": null,\n \"back_page\": null,\n \"next_page\": null,\n \"last_page\": null\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"code": {
"type": "string",
"example": "<redacted-secret>"
},
"user_id": {
"type": "integer",
"example": 0,
"default": 0
},
"balance": {
"type": "integer",
"example": 0,
"default": 0
},
"locked": {
"type": "boolean",
"example": false,
"default": true
},
"locked_reason": {},
"locked_at": {},
"created_at": {
"type": "string",
"example": "2022-01-27 20:41:46"
},
"updated_at": {
"type": "string",
"example": "2022-01-27 20:41:46"
}
}
}
},
"pagination": {
"type": "object",
"properties": {
"total": {
"type": "integer",
"example": 1,
"default": 0
},
"from": {
"type": "integer",
"example": 1,
"default": 0
},
"to": {
"type": "integer",
"example": 1,
"default": 0
},
"current_page": {
"type": "integer",
"example": 1,
"default": 0
},
"page_size": {
"type": "integer",
"example": 1,
"default": 0
},
"total_pages": {
"type": "integer",
"example": 1,
"default": 0
},
"fisrt_page": {},
"back_page": {},
"next_page": {},
"last_page": {}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}